Description

Dear Audacious developer(s),

could you please provide official Audacious updates through the Ubuntu Software Center?

The current Ubuntu release 13.10 is still using the old Audacious 3.4.0:

http://packages.ubuntu.com/saucy/audacious

https://apps.ubuntu.com/cat/applications/saucy/audacious/

and the current Ubuntu LTS release 12.04 is using the even older Audacious 3.2.1:

http://packages.ubuntu.com/precise/audacious

https://apps.ubuntu.com/cat/applications/precise/audacious/

even though Audacious is already at 3.4.3 (or even at 3.5-alpha1).

There is a Launchpad bug which complains about outdated applications on Ubuntu, see:

https://bugs.launchpad.net/ubuntu/+bug/578045

and one comment suggests to ask the application developer(s) to provide application updates through the Ubuntu Software Center,

see:

https://bugs.launchpad.net/ubuntu/+bug/578045/comments/52

So, that's what I am doing hereby:

Could you please provide official Audacious updates through the Ubuntu Software Center?

It would be much appreciated.

Regards

History

#1 - March 06, 2014 16:53 - John Lindgren

If you want to install a newer version than the "official" Ubuntu version, Alin Andrei over at WebUpd8 does an excellent job of packaging the newest

Audacious releases for various different Ubuntu releases (he currently has 3.4.3).  I don't see any reason to duplicate his effort by providing upstream

packages.

#2 - March 06, 2014 17:06 - Q. P.

Hello,

yes, i know about this PPA:

http://www.webupd8.org/2013/07/install-audacious-34-in-ubuntu-via-ppa.html

https://launchpad.net/~nilarimogard/+archive/webupd8
But:

This is just a PPA and nothing official, i.e. "untrusted".

It also holds lots of other packages and not just Audacious.

So, releasing official Audacious updates through the Ubuntu Software Center would be much better IMHO.

Any chance you could do it?

It would be much appreciated.

Regards

#3 - March 07, 2014 22:46 - John Lindgren

You can install only Audacious from WebUpd8 without installing their other packages, no?  As for the issue of trust, I don't understand how installing

packages recommended by upstream is significantly different from installing packages produced by upstream.

#4 - May 04, 2014 17:54 - Audacious User2

Ubuntu is not a rolling release. While they do release newer versions of some widely used programs (like firefox or kernel), that is mostly due to

security issues.

Any post-release change to Audacious would have to fix a serious bug and have very low regression potential. See Ubuntu's SRU policy.

#5 - May 11, 2014 16:16 - Q. P.

Microsoft Windows is not a rolling release either. Still you usually get application updates ASAP on Microsoft Windows. Having to update the entire

OS just to receive application updates is just plain dumb IMHO.

#6 - May 12, 2014 17:16 - John Lindgren

- Status changed from New to Rejected

Bottom line is, you have already have several options already for installing Audacious: compile from source, install from Ubuntu repositories, or install

from a third-party packager such as WebUpd8.  If none of these free options are good enough for you, then I suggest that you hire someone to

provide a better option.  Closing.
